#include<bits/stdc++.h>
using namespace std;


int main(){


    int n;
    int l;
    cin>>n;
    cin>>l;
    int arr[n];
    bool udario = false;
    for(int i = 0; i<=n-1; i++){

        int x;
        cin>>x;
        arr[i] = x;

    }

    for(int i = 0; i<=n-1; i++){

        if(arr[i]>l){

            continue;
        }
        else{
            cout<<i+1<<endl;
            udario = true;
            break;
        }
    }

    if(udario == false){
        cout<<"-1"<<endl;
    }
}